Subject: DNS support for IPv6 multihomed nodes

From: Vitaly Chipitsyn <[email-masked]>
Date: Wed, 26 May 1999 16:02:08 -0400 (EDT)

Hello, everyone!!

Could someone point me to documents, if such exist, where the problem
of returning dns queries for multihomed nodes is considered. 

Imagine a situation when a node that can be reacheable from several
points. This generally occurs when a site has more than one point of
attachement to the internet. In the case of IPv6, this means that each 
such attachement point has a distinct routing/address prefix. Thus,
the node we are concerned about would potentially have more than one
IPv6 address, especially considering site-local numbering scheme. 

The way it relates to DNS is: 
1) what IPv6 address will DNS return for such node? All of them? 
2) assuming that one of attachement points for this site goes down and 
the node is still reacheable via other links to the internet, will DNS 
take consider it in any way, or it is solely the responsibility of the 
sending node?
3) does dynamic DNS address these issues in any way? (I haven't read RFCs)

Thank you.
--vc

---

From: Jared Mauch <[email-masked]>
Date: Thu, 27 May 1999 10:15:05 -0400

I would imagine you would do the same for
multihomed ipv4 hosts, for example, I have a box with several ip
addresses:

rtr1.anar.mi#sh ip int brief
Interface              IP-Address      OK? Method Status                Protocol
Ethernet1/0            unassigned      YES unset  administratively down down    
Ethernet1/1            204.42.254.1    YES NVRAM  up                    up      
Ethernet1/2            198.87.20.65    YES NVRAM  up                    up      
Ethernet1/3            204.42.253.17   YES NVRAM  administratively down down    
Serial2/0              198.87.206.26   YES NVRAM  up                    up      
Serial2/1              unassigned      YES unset  administratively down down    
Serial2/2              unassigned      YES unset  administratively down down    
Serial2/3              unassigned      YES unset  administratively down down    
Loopback0              204.42.253.253  YES NVRAM  up                    up      
Tunnel0                204.42.252.17   YES NVRAM  up                    up      
Tunnel1                204.42.252.22   YES NVRAM  up                    up      
Tunnel2                204.42.252.13   YES manual up                    up      

	These ip addresses are all mapped to different names.

	Other posibilities are to do what others do:

Name:    e40-rtr.mit.edu
Addresses:  18.168.0.11, 18.72.0.1, 18.69.0.1, 18.185.0.1
          18.183.0.1, 18.159.0.1, 18.176.0.1, 18.172.0.1, 18.100.0.1
          18.71.0.1, 18.184.0.1, 18.178.0.1, 18.180.0.1, 18.91.0.1
          18.177.0.1, 18.86.0.1

	And just list multiple A (or AAAA records) for the host, and
let the resolver pick one.  Many (modern) telnet clients will attempt
to connect to each A record in the order they are returned, or may
only attempt to connect to the first one returned.

	- jared

-- 
Jared Mauch  | pgp key available via finger from [email-masked]
clue++;      | http://puck.nether.net/~jared/  My statements are only mine.

---

From: Robert Elz <[email-masked]>
Date: Thu, 27 May 1999 19:06:01 +1000

Date:        Wed, 26 May 1999 16:02:08 -0400 (EDT)
    From:        Vitaly Chipitsyn <[email-masked]>
    Message-ID:  <[email-masked]>

For what it is worth, there is nothing specific about IPv6 in your questions,
everything applies to IPv4 just the same (the only difference is that maybe
IPv6 nodes may often have more addresses).

  | 1) what IPv6 address will DNS return for such node? All of them?

Whatever addresses have been stored in the zone file.  Typically all of them
but that's up to whoever manages the zone.

  | 2) assuming that one of attachement points for this site goes down and 
  | the node is still reacheable via other links to the internet, will DNS 
  | take consider it in any way, or it is solely the responsibility of the 
  | sending node?

The DNS has no idea.  It just returns whatever is configured into it
to return.

  | 3) does dynamic DNS address these issues in any way? (I haven't read RFCs)

Using Dynamic DNS a node could, conceivably, delete an address from the
DNS when it sees that one of its interfaces is down, and add it again
when the interface (or address) becomes valid again.   Whether this
makes any sense, given that DNS resource records are typically cached
for (at least) hours would depend upon the situation.

kre